Ubuntu

[Acer Aspire One 725] Touchpad not working

Reported by Norbert Moldován on 2012-09-28
86
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Touchpad will not work out of the box on this netbook.
It is confirmed by others on Ubuntu forums: http://ubuntuforums.org/showthread.php?s=cec0ec3dc913c2a7b7e5579ce76e8609&t=2020719&page=2

I have tested through the following mainline kernels and this issue is not reproducible:
v3.5.1-quantal/
v3.5.2-quantal/
v3.5.3-quantal/
v3.5.4-quantal/

This workaround will fix the problem partially:

    Open the Terminal
    cd /etc/modprobe.d/
    gksudo gedit options.conf
    In the text editor, type: options psmouse proto=imps
    Save the file and close it.
    sudo modprobe -r psmouse
    sudo modprobe psmouse

but has sideeffects as you will read.

WORKAROUND: Pushing Fn+F7 (which is the turn on combination for the touchpad) before loging in makes the tp work perfectly.

---
ApportVersion: 2.6.1-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: norbs 1860 F.... pulseaudio
 /dev/snd/controlC0: norbs 1860 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=95a06938-d42a-4a20-94a8-89b809c42de1
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Beta i386 (20120926)
MachineType: Acer AO725
NonfreeKernelModules: wl
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-16-generic root=UUID=f76377fb-de08-476e-95ae-637a8fb2a8e8 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.5.0-16.25-generic 3.5.4
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-16-generic N/A
 linux-backports-modules-3.5.0-16-generic N/A
 linux-firmware 1.94
Tags: quantal running-unity
Uname: Linux 3.5.0-16-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 04/11/2012
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.00
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: ZA10_BZ
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.00:bd04/11/2012:svnAcer:pnAO725:pvrV1.00:rvnAcer:rnZA10_BZ:rvrBaseBoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: AO725
dmi.product.version: V1.00
dmi.sys.vendor: Acer

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-ac100 (Ubuntu):
status: New → Confirmed
Oliver Grawert (ogra) wrote :

definitely nothing to do with linux-ac100 (which is an arm kernel for the toshiba ac100 netbook)

Changed in linux-ac100 (Ubuntu):
status: Confirmed → Invalid

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1058346

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected quantal running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
no longer affects: linux-ac100 (Ubuntu)

Norbert Moldován, thank you for reporting this and helping make Ubuntu better. Could you please provide the information following https://wiki.ubuntu.com/DebuggingTouchpadDetection#In_case_your_Touchpad_doesn.27t_work_at_all_.28No_response_from_the_Touchpad.29 ?

Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete

Pushing Fn+F7 (which is the turn on combination for the touchpad) before loging in makes the tp work perfectly. If i forget to do this, then after login I can't turn it on with Fn+F7. Should I still follow the instructions Christopher? How to do this without a mouse?

description: updated

Norbert Moldován, the article advises to use an external mouse to help gather the action items.

Here are the required logs.

Norbert Moldován, just to clarify, when you captured the logs you did so without enabling the touchpad before logging in, and without modprobe'ing correct?

Darco (hotsoft) wrote :

Hi @all, playing around I found an BIOS update for the netbook from Acer upgrading the BIOS from version 1.00 to 1.05. Without that the touch pad will not working under Windows 7 either.
After upgrading and installing the driver the touchpad runs fine under Win7 including the multi touch gestures.

Back to Ubuntu I can confirm that pressing Fn + F7 before login will enable the touch pad but not the gestures.

Greets, Torsten.

Darco (hotsoft) wrote :

Here is the evtest output pressing Fn+F7 before login.

Darco (hotsoft) wrote :

my xorg.log

Darco (hotsoft) wrote :

cat /proc/devices

Darco (hotsoft) wrote :

cat /proc/bus/input/devices

Darco, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Christopher, I did not enable the touchpad before login. Regarding modprobe, I don't know what is it, maybe I did it before when trying to get the device working, I'm not sure.

Hi Christopher,

I thought putting the logs to that bug because it is the same issue and
hardware and helping you finding the details. Sorry for wasting your time.

Greets,

Darco.

Am 14.10.2012 18:14, schrieb Christopher M. Penalver:
> Darco, could you please file a new report by executing the following in a terminal:
> ubuntu-bug linux
>
> For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
> https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
>
> and Ubuntu Community article:
> https://help.ubuntu.com/community/ReportingBugs
>
> When opening up the new report, please feel free to subscribe me to it.
> Thank you for your understanding.
>
> ** Attachment removed: "evtest"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/+attachment/3398209/+files/evtest
>
> ** Attachment removed: "Xorg.0.log"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/+attachment/3398217/+files/Xorg.0.log
>
> ** Attachment removed: "procbus.txt"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/+attachment/3398228/+files/procbus.txt
>
> ** Attachment removed: "procdev.txt"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/+attachment/3398227/+files/procdev.txt
>

Norbert Moldován, regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/comments/31 :
>"Christopher, I did not enable the touchpad before login."

Exactly what I wanted you to do.

>"Regarding modprobe, I don't know what is it, maybe I did it before when trying to get the device working, I'm not sure."

I inquired about this because you had a WORKAROUND prior to enabling your touchpad before login with a key combo, as per your Bug Description:
>"This workaround will fix the problem partially:
    Open the Terminal
    cd /etc/modprobe.d/
    gksudo gedit options.conf
    In the text editor, type: options psmouse proto=imps
    Save the file and close it.
    sudo modprobe -r psmouse
    sudo modprobe psmouse"

Is this still a valid, but not as good WORKAROUND to enabling it before login?

As well, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

tags: added: needs-upstream-testing

"Is this still a valid, but not as good WORKAROUND to enabling it before login?" I erased the content of options.conf that I've created before, and repeated the process. Now installing the requested kernel.

Installing the upstream kernel fixed the touchpad isue, but when running I had no wifi and my system slowed down like hell.

tags: added: kernel-fixed-upstream kernel-fixed-upstream-3.6.2.030602-generic
removed: needs-upstream-testing
tags: added: kernel-fixed-upstream-v3.6.2-quantal
removed: kernel-fixed-upstream-3.6.2.030602-generic

Norbert Moldován, the next step is to perform a reverse kernel bisect from 3.5.0-16-generic to 3.6.2.030602-generic, in order to identify the exact mainline kernel release that fixes the touchpad. Please ignore problems with wifi, etc. for now. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/ ?

Kernel 3.6.0 did solve the touchpad problem.

With v3.5.6 I had a functional touchpad.

Norbert Moldován, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.4-quantal/ ?

I tested 3.5.4->3.5.1. The touchpad worked with all of them. What next?

Maybe I was not clear enough. I've tested 3.5.4, 3.5.3, 3.5.2 and 3.5.1. and the touchpad worked with all of them.

Norbert Moldován, could you please keep testing older and older kernels until you find the one that the touchpad does not work in?

Felipe Castillo (fcastillo.ec) wrote :

I have an Acer M5 481T and I have the exact same problem. The only way to make it work is by pressing Fn+F7 before log in otherwise my touchpad doesn't work at all.
The ubuntu live cd doesn't work so I had to install the latest version of ubuntu (12.10) with an external mouse.
If there is a solution to this problem, please let us know!

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Touchpad worked with every mainline kernel, including 3.5.0-generic. What should I do next?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
description: updated

As per http://us.acer.com/ac/en/US/content/drivers an update is available for your BIOS (1.05). If you update to this, does it change anything?

if not, could you please test Raring via http://cdimage.ubuntu.com/daily-live/current/ ?

tags: added: bios-outdated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (3.8 KiB)

Updating the BIOS has not corrected the problem. The problem still exists
with the current Raring image. Raring did, however, fix another issue --
not being able to change the screen brightness.

On Mon, Jan 21, 2013 at 6:28 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> As per http://us.acer.com/ac/en/US/content/drivers an update is
> available for your BIOS (1.05). If you update to this, does it change
> anything?
>
> if not, could you please test Raring via http://cdimage.ubuntu.com
> /daily-live/current/ ?
>
> ** Tags added: bios-outdated
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1058346
>
> Title:
> Touchpad not working on Acer Aspire One 725
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Touchpad will not work out of the box on this netbook.
> It is confirmed by others on Ubuntu forums:
> http://ubuntuforums.org/showthread.php?s=cec0ec3dc913c2a7b7e5579ce76e8609&t=2020719&page=2
>
> I have tested through the following mainline kernels and this issue is
> not reproducible:
> v3.5.1-quantal/
> v3.5.2-quantal/
> v3.5.3-quantal/
> v3.5.4-quantal/
>
> This workaround will fix the problem partially:
>
> Open the Terminal
> cd /etc/modprobe.d/
> gksudo gedit options.conf
> In the text editor, type: options psmouse proto=imps
> Save the file and close it.
> sudo modprobe -r psmouse
> sudo modprobe psmouse
>
> but has sideeffects as you will read.
>
> WORKAROUND: Pushing Fn+F7 (which is the turn on combination for the
> touchpad) before loging in makes the tp work perfectly.
>
> ---
> ApportVersion: 2.6.1-0ubuntu1
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: norbs 1860 F.... pulseaudio
> /dev/snd/controlC0: norbs 1860 F.... pulseaudio
> CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1:
> nl80211 not found.
> DistroRelease: Ubuntu 12.10
> HibernationDevice: RESUME=UUID=95a06938-d42a-4a20-94a8-89b809c42de1
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Beta i386 (20120926)
> MachineType: Acer AO725
> NonfreeKernelModules: wl
> Package: linux (not installed)
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 radeondrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-16-generic
> root=UUID=f76377fb-de08-476e-95ae-637a8fb2a8e8 ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.5.0-16.25-generic 3.5.4
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-16-generic N/A
> linux-backports-modules-3.5.0-16-generic N/A
> linux-firmware 1.94
> Tags: quantal running-unity
> Uname: Linux 3.5.0-16-generic i686
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 04/11/2012
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.00
> ...

Read more...

Phil Hughes, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Phil Hughes (nicafyl) wrote :

Let me clarify my response. I did exactly what you suggested on exactly the computer that was the subject of this bug report and reported the results -- namely that the problem was not corrected. I only mentioned the other issue -- one which is also reported elsewhere -- because it did change and I felt that t might help with analysis of this problem.

Phil Hughes, it appears you did not read https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/comments/53 . Just because you have the same computer model name, does not mean you have all the same bits under the hood. As well, we can not verify if the issue is the same because you did not perform the actions already requested of you. So, posting your results in this report at this point is not helpful.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Felipe Castillo (fcastillo.ec) wrote :

Any progress with this bug? I noticed that the status changed to expired. What does that mean? Is it going to get solved?

No progress with my machine. Now I've got Ubuntu 13.04 64 bit on the netbook and it has the same bug.

ouss (oussjarrouse) wrote :

I could change the status to "confirmed"... although i am no admin...
maybe that will draw some attention

Changed in linux (Ubuntu):
status: Expired → Confirmed

ouss, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Norbert Moldován, for regression testing purposes, could you please test for this in Lucid via http://releases.ubuntu.com/lucid/ ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: raring regression-potential
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Koustubh Sinkar (ksinkar) wrote :

penalvch, I have created a new bug here as you had mentioned earlier.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1170883

I have attached all the details there. I am repeating all the details here again for your reference.

The touchpad is not even detected when I do

$ xinput list

The trackpad is not even listed. I get the following output:-
===============================================================================

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Microsoft Microsoft Basic Optical Mouse v2.0 id=10 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ HD WebCam id=11 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=12 [slave keyboard (3)]
    ↳ Acer WMI hotkeys id=14 [slave keyboard (3)]

===============================================================

The Microsoft Basic Optical mouse is an external USB mouse that I am using. It has nothing to do with the trackpad.

BIOS version 1.05 found out using the following command:-

$ sudo dmidecode -s bios-version

$ lsb_release -rd

Description: Ubuntu 12.10
Release: 12.10

$ uname -snrvmpio

Linux 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-27-generic 3.5.0-27.46
ProcVersionSignature: Ubuntu 3.5.0-27.46-generic 3.5.7.7
Uname: Linux 3.5.0-27-generic x86_64
ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ksinkar 1945 F.... pulseaudio
 /dev/snd/controlC0: ksinkar 1945 F.... pulseaudio
Date: Sat Apr 20 09:45:47 2013
HibernationDevice: RESUME=UUID=d44b66a6-ca37-4076-847a-0fdc19a532d2
InstallationDate: Installed on 2013-04-19 (0 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: Acer AO725
MarkForUpload: True
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-27-generic root=UUID=ef27ada8-0e1d-47ab-8c39-2f5053fa092c ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-27-generic N/A
 linux-backports-modules-3.5.0-27-generic N/A
 linux-firmware 1.95
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/05/2012
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.05
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: ZA10_BZ
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.05:bd07/05/2012:svnAcer:pnAO725:pvrV1.05:rvnAcer:rnZA10_BZ:rvrBaseBoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: AO725
dmi.product.version: V1.05
dmi.sys.vendor: Acer

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

What this report needs to be confirmed?

Norbert Moldován, thank you for testing this in Raring. Could you please post the output of the following terminal command here:
sudo dmidecode -s bios-version

V1.00

Paul Campion (pawl) wrote :

I have this bug too bios V1.05 - Acer Aspire One 725 (AMD C70).

Had the problem since January with Quantal, just installed Raring - no change.

Tried everything I could think of with Quantal to fix it but always reverted to workaround of ctrl+F7 before login. Was hoping problem would disappear with updated kernel - but no.

Nathaniel (empollondefisica) wrote :

From the Red Hat group, I found that they claimed it was a result of the "acer-wmi" driver. Blacklisting this driver enabled the touchpad for me in Ubuntu 12.04 and 12.10.

After blacklisting and restarting, pressing Fn-F7 once enabled the touchpad, and it was enabled on startup every time. The only annoyance to this solution is that the visuals are no longer displayed when toggling the touchpad.

Here's a link to their bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=848270

tags: added: bios-outdated-v1.00
removed: bios-outdated
Paul Campion (pawl) wrote :

IMPROVEMENT to workaround!

From bug description above: "WORKAROUND: Pushing Fn+F7 (which is the turn on combination for the touchpad) before loging in makes the tp work perfectly."

BUT this only works if you use a password for login or if you hit Fn+F7 at the right moment during boot-up; if you don't do this and just let it all load then it is too late and using Fn+F7 makes no difference - the on-screen icon shows the touchpad toggling between on and off but the touchpad itself still does not work (i.e. the software works but the hardware doesn't)! I think this is because the tp is factory set to 'off' and unless the tp is started (or is woken) before login Fn+F7 is not recognised by the hardware.

BUT - let it all load then use Ctrl+Fn+F7 and you are good to go! Everything works just fine - after the touchpad has been started, just using Fn+F7 is enough to toggle the touchpad. Next time you boot up the tp is off again - so this is certainly not a 'fix' but it is way less annoying than missing your chance to hit Fn+F7 before login!

Is it possible to change the factory setting of the tp so we can all just switch it 'on' and solve this bug?

Köm Korhohnen (6-launchpad-s) wrote :

Nathaniel's solution works for me on 12.10 - scrolling included

Levan Chelidze (levanchelidze) wrote :

same issue on 13.04

tags: added: kernel-fixed-upstream-v3.6.2
removed: kernel-fixed-upstream-v3.6.2-quantal
summary: - Touchpad not working on Acer Aspire One 725
+ [Acer Aspire One 725] Touchpad not working

Norbert Moldován, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

ApportVersion: 2.12.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 2761 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 2761 F.... pulseaudio
CasperVersion: 1.336
DistroRelease: Ubuntu 13.10
LiveMediaBuild: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130822)
MachineType: Acer AO725
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: initrd=/casper/initrd.lz file=/cdrom/preseed/username.seed boot=casper quiet splash -- BOOT_IMAGE=/casper/vmlinuz.efi
ProcVersionSignature: Ubuntu 3.11.0-3.7-generic 3.11.0-rc6
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-3-generic N/A
 linux-backports-modules-3.11.0-3-generic N/A
 linux-firmware 1.113
Tags: saucy
Uname: Linux 3.11.0-3-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 04/18/2013
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.07
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: ZA10_BZ
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.07:bd04/18/2013:svnAcer:pnAO725:pvrV1.07:rvnAcer:rnZA10_BZ:rvrBaseBoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: AO725
dmi.product.version: V1.07
dmi.sys.vendor: Acer

tags: added: saucy

apport information

apport information

Launchy (launchy-0) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Launchy (launchy-0) wrote :

Dear Christopher,
I did now the apport stuff with the latest development release of saucy. I hope this helps in fixing the bug, though it still remaines in the way Norbert described it.

Launchy, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. If you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

tags: removed: saucy

@Launchy, thank you so much for doing all that apporting. I just had no time or energy to go through it with the new dev releases. There is this way of filing a new bug and then assigning it here. This bug is going for a long time now for multiple ppl. and versions I don't understand what we need to be complete.

With an update this issue was fixed for me.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Felipe Castillo (fcastillo.ec) wrote :

Does this mean that if I update to the latest saucy, all packages from repo, this issue is resolved? Or are the changes still in the process of getting approved, or something similar, and we'll have to wait until we see this update pop-up in Ubuntu 13.10?

In a terminal paste

sudo apt-get update
sudo apt-get upgrade

then restart and report your results here.

Launchy (launchy-0) wrote :

Dear Norbert,
wow, that seem to be good news. Unfortunately I did not find time yet to try it on my Acer Aspire One 725. I hope to manage it in the next days and I will report on it here and in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1216422 . Meanwhile,
Norbert could you please provide some more information from where to what you have made an update. Was it from 13.04-->13.10 or something else? Which kernel version are you using now (the result of the "uname -r" command in the terminal).
Best regards,
Launchy

Hey Launchy,

I'm using kernel v. 3.11.0-12-generic on Ubuntu 13.10. It was a normal update not an upgrade from 13.04 to .10.

I hope your issue is resolved too.

Launchy (launchy-0) wrote :

Hi Norbert,
somehow bad news for the moment, I upgraded from 13.04 --> 13.10, even updatet the kernel and I am now on kernel 3.11.0-12-generic. But the issue with the touchpad that does not work out of the box is still there. So, at the moment I have no idea where there is the difference between your and my netbook. I hope some other users in this launchpad bug report may update and report there experiences here.
Best regards,
Launchy

Felipe Castillo (fcastillo.ec) wrote :

Hey Launchy, have you tried doing a clean install? Even in a separate partition, just to test. I don't have my laptop with me at the moment to try, but Ubuntu has always had problem with updating. The only way to get a new version of Ubuntu is a clean install. I think I'll be able to try 13.10 next week, when I get my laptop back, but I'll be great if you could try a clean install and report back

Launchy, the reason you are having different results is because you have different parts under the hood. You may verify this by reviewing your own lspci.txt versus the one attached here.

Hence, if you are having an issue, it would be best to continue to comment on your report (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1216422) versus continuing to post on a report that is marked Fix Released, as documented to you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058346/comments/90 .

Thank you for your understanding.

Launchy (launchy-0) wrote :

Dear Christopher,
until now, I thought Norbert and I share the same issue on the same netbook.

As you pointed out, when I compare both lscpi.txt I can see that some lines differ. Roughly, I use some more kernel modules then Norbert does and my graphic card is Radeon HD 7290 versus Radeon HD 6290 in his netbook. However, I do not understand what this all has to do with the touchpad issue, though I can't even find "Elantech" or "touchpad" noted in lscpi.txt. Could you please advice here.

However, as you suggested, I will proceed at my own report (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1216422) . Thanks again for your hints. And I am looking forward to the results of Felipe.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.